Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class CookieConfigTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.CookieConfigTypeImplTestCase

    public class CookieConfigTypeImplTestCase

extends java.lang.Object

Constructor Summary
`CookieConfigTypeImplTestCase()`

Method Summary
`void` | `testComment()`
`void` | `testDomain()`
`void` | `testHttpOnly()`
`void` | `testMaxAge()`
`void` | `testName()`
`void` | `testPath()`
`void` | `testSecure()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieConfigTypeImplTestCase

    public CookieConfigTypeImplTestCase()

Method Detail

### testName

    public void testName()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDomain

    public void testDomain()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPath

    public void testPath()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testComment

    public void testComment()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHttpOnly

    public void testHttpOnly()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecure

    public void testSecure()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMaxAge

    public void testMaxAge()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD